@echo off

if empty%1 == empty goto error_no_int_path

if NOT EXIST %1\classes\2.4\InsightManager.wvc goto error_no_int_path

if empty%2 == empty goto error_no_wv_source_path

if NOT EXIST %2\bin\catng2d.exe goto error_no_wv_source_path

goto skip_error_handling

:error_no_int_path
echo ERROR: No Integration path detected in first argument, or integration path incorrect
goto end

:error_no_wv_source_path
echo ERROR: No WorldView path detected in second argument, or WorldView path incorrect
goto end

:skip_error_handling

call copy %1\browser\brows*.* %2\config\abrowser\browser.insightmanager

echo Copying Compaq Icons

call copy %1\icons\*.ico  %2\icons

call copy %1\models\*.* %2\models\

call copy %1\images\*.* %2\images\

echo Copying Compaq MIBs

call copy %1\mibs\cpq*.txt %2\services\config\mibs
call copy %1\mibs\inst*.bat %2\services\bin\install_cpqmibs.bat

echo Copying Compaq MIBs into Schema Directory

call copy %1\mibs\cpq*.txt %2\SCHEMA\INCLUDED

call copy %1\mibs\ETHER.txt %2\SCHEMA\INCLUDED

call copy %1\mibs\TOKEN.txt %2\SCHEMA\INCLUDED

call copy %1\cimxe.bat %2\bin

:end